/*
 * Ambient - the ultimate desktop
 * ------------------------------
 *  2001-2004 by David Gerber <zapek@morphos.net>
 * All Rights Reserved
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * $Id: wb.c,v 1.5 2006/08/08 13:31:43 fab Exp $
 */

#include "globals.h"

/* public */
#include <proto/exec.h>

/* private */
#include "lib.h"

struct ExecBase *SysBase;
struct Library *WorkbenchBase;
struct DosLibrary *DOSBase;
struct IntuitionBase *IntuitionBase;
struct Library *UtilityBase;


#define DB_LIB 0


int lib_init(struct ExecBase *SBase)
{
	SysBase = SBase;

	D(LIB,bug("initializing..\n"));

	if ( (DOSBase = (struct DosLibrary *)OpenLibrary("dos.library", 50)) )
	{
		if ( (IntuitionBase = (struct IntuitionBase *)OpenLibrary("intuition.library", 40)) )
		{
			if ( (UtilityBase = OpenLibrary("utility.library", 36)) )
			{
				D(LIB,bug("init finished\n"));
				return (TRUE);
			}
		}
	}
	return (FALSE);
}

struct MsgPort *wbport;

int lib_open(void)
{
	return (TRUE);
}


void lib_cleanup(void)
{
	CloseLibrary((struct Library *)DOSBase);
	CloseLibrary((struct Library *)IntuitionBase);
	CloseLibrary(UtilityBase);
}
